#include "ParameterChecking.h"

using std::vector;
using std::function;

bool attach_check(const std::string& error_string, XLOPER12* excel_output)
{
	bool pass = error_string.size() == 0;

	if (!pass)
		create_error_message(excel_output, error_string.c_str());

	return pass;
}

bool check_inputs(vector<function<bool()>>& checks_to_perform) {
	bool pass = true;

	for (const auto& check : checks_to_perform)
		pass = check() && pass;

	return pass;
}

bool check_inputs(std::vector< bool >& checks_to_perform)
{
	bool pass = true;

	for (const auto& check : checks_to_perform)
		pass = check && pass;

	return pass;
}

bool all_non_negative(bool pass)
{
	return true;
}
